Skip to main content

POST /sales/invoices/export/\{format\}

POST 

/sales/invoices/export/:format

POST /sales/invoices/export/{format}

Request​

Path Parameters

    format stringrequired

Query Parameters

    id int64[]
    shopify_object_id int64[]
    stripe_object_id string[]
    woocommerce_order_id int64[]
    eshop_order_id int64[]
    payment_status string[]
    status string[]
    is_locked boolean
    customer.id int64
    customer.business_name string
    customer.display_name string
    customer.reg_no string
    customer.vat_no string
    customer.tax_no string
    customer.address.name string
    customer.address.company string
    customer.address.address1 string
    customer.address.address2 string
    customer.address.postal_code string
    customer.address.city string
    customer.address.region string
    customer.address.country string

    Possible values: <= 2 characters

    customer.email string
    customer.preferred_locale string
    customer.phone string
    date_issued string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    date_taxable string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    total_amount string

    Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00]. Custom decimal range syntax. Equal: 100.50; From: [100.50;]; To: [;500.00]; Between: [100.50;500.00].

    description string
    currency string
    transaction_type.id int64
    transaction_type.name string
    transaction_type.associated_payment_cards string[]
    from int32
    take int32
    search string
    sort string[]

Body

    title stringnullable

    columns

    object[]

    nullable

  • Array [

  • id stringnullable
    label stringnullable
  • ]

Responses​

OK

Loading...